%global project badwolfie
%global repo markdown-reader
Name:           markdown-reader
Version:        1.1.0
Release:        1%{?dist}
Summary:        A document reader for markdown and html files
License:        GPLv2+
URL:            https://github.com/%{project}/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.appdata.xml

BuildRequires:  vala
BuildRequires:  intltool
BuildRequires:  webkitgtk4-devel
BuildRequires:  gtk3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
A document reader for markdown and html files.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
# This cannot build with make -j, so use plain make.
make

%install
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -pDm644 %{S:1} %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%doc README.md AUTHORS ChangeLog NEWS
%license COPYING

%changelog
* Mon Oct 16 2017 Zamir SUN <zsun@fedoraproject.org> - 1.1.0-1
- Initial package markdown-readep
